Name:           rodovid
Version:        0.3.18
Release:        %mkrel 3
Summary:        Genealogy visual editor
Group:          Office/Utilities
License:        GPLv2
URL:            http://rodovid.sourceforge.net
Source0:        https://sourceforge.net/projects/%{name}/files/%{version}/linux/%{name}-%{version}.tar.bz2
Requires:       perl(Archive::Tar)
Requires:       graphviz
Requires:       perl(Tk)
Requires:       perl(Image::Magick)
Requires:       perl(Gedcomlite)
BuildArch:      noarch

%description
The Rodovid (Family Tree) is a free software for visual creation
of family trees and HTML sites with family trees with photo galleries.

%prep
%setup -q

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/graphics
mkdir -p %{buildroot}%{_datadir}/%{name}/locales
cp -r ./graphics/* %{buildroot}%{_datadir}/%{name}/graphics/
cp -r ./locales/* %{buildroot}%{_datadir}/%{name}/locales/
mkdir -p %{buildroot}%{_datadir}/%{name}/projects
cp -r ./projects/* %{buildroot}%{_datadir}/%{name}/projects/
cp ./version %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -Dm 0644 %{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 0644 ./graphics/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
mkdir -p %{buildroot}%{_bindir}
install -m 755 ./%{name} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 ./%{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%doc README* about readme
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/*
%{_datadir}/%{name}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.18-3.mga8
+ Revision: 1507617
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.3.18-2.mga7
+ Revision: 1290770
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 kekepower <kekepower> 0.3.18-1.mga7
+ Revision: 1220234
- Update to version 0.3.18
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 alexl <alexl> 0.3.17-1.mga6
+ Revision: 904881
- version 0.3.17
- del upstreamed patches
- install svg icon in correct dir

* Sun Nov 30 2014 alexl <alexl> 0.3.16-5.mga5
+ Revision: 800087
- merged desktop file with upstream (desktop-file.patch)
- changed default font size (default-fontsize.patch)
- fixed usage system font (fontsys.patch from upstream)

* Wed Nov 12 2014 alexl <alexl> 0.3.16-4.mga5
+ Revision: 796686
- fixed icon in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.3.16-3.mga5
+ Revision: 740516
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.16-2.mga5
+ Revision: 688690
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 alexl <alexl> 0.3.16-1.mga5
+ Revision: 637946
- imported package rodovid

